export type Chat = {
  uid: number;
  name: string;
  avatar: string | null;
  short: string;
  sent_by: number;
  updated: Date;
  status: 1 | 2 | 3;
  unread_count: number;
  last_message_id: number;
  pin: 0 | 1;
  pin_order: number;
  archive: 0 | 1;
  archive_order: number;
  attachement_name: string;
  encrypted: 0 | 1;
};

export type ChatProps = {
  id: number;
  name: string;
  avatar: string | null;
};

export type MessageSimple = {
  id: number;
  sender: number;
  recipient: number;
  text: string;
  status: 1 | 2 | 3;
  sent_datetime: Date;
  received_datetime: Date | null;
  read_datetime: Date | null;
  reply_to_id: number; // -1 if not a reply
  reactions: string; // JSON object '{}'
  edits: string; // JSON object '{}'
  attachement: any; // -1 if no attachment
  encrypted: 0 | 1;
};

export type Message = MessageSimple & {
  reply_to: MessageSimple;
};
